package com.mortals.xhx.module.accept.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.accept.model.vo.AcceptVo;
import lombok.Data;
/**
* 综窗接件信息实体对象
*
* @author zxfei
* @date 2024-04-10
*/
@Data
public class AcceptEntity extends AcceptVo {
    private static final long serialVersionUID = 1L;

    /**
    * 接件id
    */
    private String applicantId;
    /**
    * 存储信息
    */
    private String storageInfo;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AcceptEntity) {
            AcceptEntity tmp = (AcceptEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.applicantId = "";
            this.storageInfo = "";
    }
}